将 VI 升级到较新的 LabVIEW 版本

更新 Nov 24, 2021

环境

软件

  • LabVIEW

LabVIEW 向前兼容,这意味着您可以在较新版本的 LabVIEW 中打开来自先前版本 LabVIEW 的 VI。升级到更高版本的 LabVIEW 使您可以重复使用既有的代码,同时还集成了 LabVIEW 的最新改进。
 
本教程将引导您了解如何将您的 LabVIEW 文件升级到较新版本的 LabVIEW。
 

注意事项

在将您的 LabVIEW 代码升级到新版本之前,请注意以下事项:
  • 升级代码时,无法保证 LabVIEW 代码无需编辑即可正常运行。
  • 如果您的 LabVIEW 文件使用来自 LabVIEW 模块的 API,请注意 LabVIEW 模块仅与它们构建的版本兼容。有关兼容性的更多信息,请查看每个模块的自述文件。
  • 有关更多信息,请查看您尝试升级到的 LabVIEW 版本的升级说明
  • 如果您要升级在 LabVIEW 6.0 之前创建的代码,请参见下面的从旧版 LabVIEW 升级的注意事项部分。

如果您正在升级系统并希望确保新软件版本与现有的硬件或操作系统兼容,请拨打 NI - 联系我们页面上与下单和报价相关的电话号码联系销售人员

升级LabVIEW文件

  1. [建议] 在开始升级之前,请通读您 LabVIEW 版本的升级到较新版本的 LabVIEW 帮助资料。这将使您准备好尽可能有效地检测和纠正升级困难。
  2. 启动您希望将代码升级到的 LabVIEW 版本。
  3. 文件菜单中,选择打开并导航到您要升级的文件的位置。
  4. 选择确定以打开您的文件。
    • 如果新版本存在错误,请使用调试工具进行纠正。
  5. 文件菜单中,选择另存为 以保存此较新版本的 LabVIEW 代码。
    • 注意:如果您使用保存而不是另存为 ,这将保存在原始版本的代码之上
    • 不同版本的代码可以并存。最佳做法是在升级过程中保留代码的原始版本。
  6. [建议] 批量编译您的代码以确保保持 VI 和子 VI 之间的链接。这也将检查任何损坏的 VI。可以选择单个文件或整个目录以进行批量编译,项目将在新版本中打开,保存,然后关闭。


从旧版LabVIEW升级的注意事项

要在 LabVIEW 8.5 或更高版本中打开在 LabVIEW 6 之前创建的 VI,您必须先将该 VI 转换为 LabVIEW 6 到 8.2 之间的版本。
  • 在这种情况下,NI 建议升级到 LabVIEW 8.2.1 作为中间版本,因为它是最接近当前版本的 LabVIEW。
  • 拥有标准服务计划 (SSP) 的客户可以通过联系 NI 支持以访问旧版本的 LabVIEW。
升级到 6.0 之后的版本后,您可以继续执行上述步骤。